<?php
/*********************************************************************************
	Call2Pay API Demo - Bezahlseite
	- initialisiert einen bezahlvorgang und zeigt Rufnummer etc. an
	- startet ajax-timer zur Statusabfrage
*********************************************************************************/
	
	do {
	// GET-Parameter prfen
		$country = getGetVar('country');
		$offerid = getGetVar('offerid');
		if (empty($country) || empty($offerid)) { $errorText = 'Ungltiger Aufruf!'; break; };
	
	// Serviceparameter ermitteln
		$sessionid = session_id();
		$ip = $_SERVER['REMOTE_ADDR'];
		$amount = $offerList[$offerid]['amount'];
		$currency = 'EUR';
		$title = $offerList[$offerid]['title'];
		$freeparam = $offerList[$offerid]['coins'];
		
	// Service Initialisierung
		$oService = new Service();
		$oService -> setParam('project', PROJECT_NAME);
		$oService -> setParam('sessionid', $sessionid);
		$oService -> setParam('ip', $ip);
		$oService -> setParam('country', $country);
		$oService -> setParam('amount', $amount);
		$oService -> setParam('currency', $currency);
		$oService -> setParam('title', $title);
		$oService -> setParam('freeparam', $freeparam);
		
	// Servicefunktion aufrufen und Fehler behandeln
		if (!$oService -> request('init')) { $errorText = 'Service nicht erreichbar'; break; };
		$error = $oService -> getResult('error', 0);
		$errormessage = $oService -> getResult('errormessage');
		if ($error) { $errorText = 'Servicefehler: ' . $error . ' ' . $errormessage; break; };
		
	// Servicerckgaben auswerten
		$status = $oService -> getResult('status');
		$handle = $oService -> getResult('handle');
		$number = $oService -> getResult('number');
		$numberinfo = $oService -> getResult('numberinfo');
		$origin = $oService -> getResult('origin');
		$mode = $oService -> getResult('mode');
		$tan = $oService -> getResult('tan');
		$amount = $oService -> getResult('amount');
		$currency = $oService -> getResult('currency');
		$duration = $oService -> getResult('duration');
		$durationpart = $oService -> getResult('durationpart');
		
	// ausgabetexte vorbereiten
		$amountText = sprintf('%0.2f %s', $amount/100, $currency);
		if ($origin == 'MOBILE') $originText = '(Rufnummer nur aus Mobilnetz erreichbar!)';
		if ($origin == 'LANDLINE') $originText = '(Rufnummer nur aus Festnetz erreichbar!)';
		
	// status auswerten
		switch ($status) {
		case 'INIT': // wartet auf Auruf
			$delay = 5;
			$infoText = 'Rufen Sie jetzt an!';
			break;
		case 'REINIT': // wartet auf Auruf nach Abbruch
			$delay = 5;
			$errorText = 'Verbindung wurde zu frh unterbrochen! Rufen Sie erneut an!';
			break;
		case 'CALL': // Anruf luft
			$delay = 1;
			$infoText = 'Halten Sie die Verbindung noch ' . ($duration - $durationpart) . ' Sekunden!';
			break;
		default:
			$errorText = 'unbekannter Status: ' . $status;
		}
	}
	while (0); // sprungmarke durch 'break'
?>

	Rufen Sie folgende Nummer an:
	<div class="number"><?php echo $number; ?> *</div>
<?php 
// nur anzeigen, wenn erforderlich
	if ($mode == 'DTMF') {
?>
	Geben Sie die folgen TAN auf der Telefontastatur ein:
	<div class="number"><?php echo $tan; ?></div>
<?php
	};
?>
	Halten Sie die Verbindung insgesamt <span id="duration"></span>.
	Sie wird automatisch beendet, und kostet insgesamt <?php echo $amountText ?>!
	Sie werden anschlieend weitergeleitet!<br>
	<br>
	<div class="numberinfo">* <?php echo $numberinfo; ?> <?php echo $originText; ?></div>
	<br>
	<div class="message">
		<span class="error" id="error"><?php echo $errorText; ?></span>
		<span class="info" id="info"><?php echo $infoText; ?></span>
	</div>
	<br>
	<div class="progressbar" id="progressbar">
		<div class="progress" id="progress">&nbsp;</div>
	</div>
	
	<script src="tools.js"></script>
	<script>
	// einstellungen
		var ajaxUrl = '<?php echo PROJECT_URL . 'ajax.status.php?handle=' . $handle . '&offerid=' . $offerid . '&country=' . $country; ?>';
		var pageUrl = '<?php echo PROJECT_URL . 'index.php?page=%page%&handle=' . $handle . '&offerid=' . $offerid . '&country=' . $country; ?>';
		var delay = <?php echo (integer) $delay; ?>;
		
	// ajaxrequest object init. und timen
		var connection = createConnectionObj();
		var timer = connection && delay ? window.setTimeout(requestStatus, delay * 1000) : null;
		
	// Fortschrittsanzeige ggf anzeigen
		refreshDuration(<?php echo (integer) $duration; ?>);
		refreshProgress(<?php echo (float) $durationpart/$duration *100; ?>);
	</script>

