/*********************************************************************************
	Call2Pay API Demo - AJAX-Tools
*********************************************************************************/

	// erzeugt XMLHttp Object fr ajaxrequest
		function createConnectionObj() {
			var connection;
			try {
				if(typeof XMLHttpRequest != "undefined") {
					connection = new XMLHttpRequest();
				}
				else {
					connection = new ActiveXObject('Microsoft.XMLHTTP'); 
				}
			}
			catch(e) {
				alert(e.message);
			}
			return connection;
		}
		
	// startet ajaxrequest
		function requestStatus() {
			if (!connection) return;
		// ajaxrequest senden
			connection.open('GET', ajaxUrl, true);
			connection.onreadystatechange = responseStatus;
			connection.send('');
		};
		
	// callbackfunc fr ajaxrequest
		function responseStatus() {
			if (!connection) return;
			if (connection.readyState != 4) return;
			try {
			// debugausgaben anzeigen
				var debug = getResponseText('debug');
				if (debug) document.getElementById('debug').innerHTML = debug;
	
			// infotext anzeigen
				var infotext = getResponseText('infotext');
				document.getElementById('info').innerHTML = infotext;
				
			// fehlertext anzeigen
				var errortext = getResponseText('errortext');
				document.getElementById('error').innerHTML = errortext;
				
			// fortschrittsbalken anzeigen
				var duration = parseInt(getResponseText('duration'));
				var durationpart = parseInt(getResponseText('durationpart'));
				refreshProgress(durationpart/duration * 100);
				refreshDuration(duration);
			
			// weiterleiten
				var page = getResponseText('page');
				if (page) document.location.replace(pageUrl.replace(/%page%/, page));
				
			// erneut statustimer setzen (nach 1 sek wenn anruf luft)
				var delay = getResponseText('delay');
				if (delay) timer = window.setTimeout(requestStatus, delay * 1000);
			}
			catch(e) {
				alert('XML Fehler: \n"' + e.message + '"\nin:\n"' + connection.responseText + '"');
				throw e;
			}
		};
	
	// liefert responsewert
		function getResponseText(tagName) {
			var result = '';
			var response = connection.responseXML;
			if (response && response.documentElement.getElementsByTagName(tagName)[0].firstChild) {
				result = response.documentElement.getElementsByTagName(tagName)[0].firstChild.data;
			};
			return result;
		}
		
	// aktualisiert Fortschrittsbalken
		function refreshProgress(durationpercent) {
			var progressbarNode = document.getElementById('progressbar');
			var progressNode = document.getElementById('progress');
			progressbarNode.style.display = durationpercent ? 'block' : 'none';
			progressNode.style.width = durationpercent + '%';
		}
		
	// aktualisiert Gesamtdauer
		function refreshDuration(duration) {
			var durationNode = document.getElementById('duration');
			if (duration >= 60) {
				var min = Math.floor(duration/60); 
				var sec = '00' + (duration % 60);
				durationNode.innerHTML = min + ':' + sec.substr(sec.length-2) + ' min';
			}
			else {
				durationNode.innerHTML = duration + ' Sekunden';
			}
		}
