<?php
/*********************************************************************************
	Call2Pay API Demo - Hilfsklassen und Funktionen
*********************************************************************************/

	require_once('config.php');
	session_start();

// Hilfsklasse fr Call2Pay API Webservice (simple HTTP)
	class Service {
		var $request = '';
		var $response = '';
		var $arrParams = array();
		var $arrResult = array();
		
	// Parameter setzen
		function setParam($name, $value) {
			$this -> arrParams[$name] = $value;
		}
		
	// liefert Rckgabe bzw. Defaultwert 
		function getResult($name, $default = '') {
			return isset($this -> arrResult[$name]) ? $this -> arrResult[$name] : $default;
		}
		
	// ruft Servicefunktion auf
		function request($function) {
			$this -> setParam('accesskey', SERVICE_ACCESSKEY);
			$this -> setParam('testmode', SERVICE_TESTMODE);
			$this -> setParam('action', $function);
			
			$this -> request = SERVICE_URL . '?';
			foreach ($this -> arrParams as $name => $value) {
				$this -> request .= '&' . $name . '=' . urlencode($value);
			}
			
			if (!$this -> response = file_get_contents($this -> request)) return false;
			
			preg_match_all('/^(\w+)(?:\[(\w+|\d+)\])?=(.*)$/m', $this -> response, $arrTemp);
			foreach ($arrTemp[1] as $i => $name) {
				if (empty($name)) continue;
				
				$index = $arrTemp[2][$i];
				$value = $arrTemp[3][$i];
				if ($index !== '') {
					if (!is_array($this -> arrResult[$name])) $this -> arrResult[$name] = array();
					$this -> arrResult[$name][$index] = urldecode($value);
				}
				else {
					$this -> arrResult[$name] = urldecode($value);
				}
			}
			return true;
		}
	}

// Hilfsfunktion fr Debugausgaben
	function printDebug($name, $struct) {
		echo '<div class="section" style="float:left;">
				<div class="title">' . $name . '</div>
				<pre>' . print_r($struct,1) . '</pre>
			</div>';
	}

// ermittelt GET-Param oder defaultwert
	function getGetVar($name, $default = '') {
		return isset($_GET[$name]) ? $_GET[$name] : $default;
	}
// ermittelt POST-Param oder defaultwert
	function getPostVar($name, $default = '') {
		return isset($_POST[$name]) ? $_POST[$name] : $default;
	}
// ermittelt SESSION-Variable oder defaultwert
	function getSessionVar($name, $default = '') {
		return isset($_SESSION[$name]) ? $_SESSION[$name] : $default;
	}
// ermittelt SESSION-Variable oder defaultwert
	function setSessionVar($name, $value) {
		$_SESSION[$name] = $value;
	}
?>